<?php

require_once 'incfiles/core.php';
require_once 'incfiles/func.php';
require_once 'incfiles/auth.php';
require_once 'incfiles/user.php';

if (!empty($user_id) && empty($_GET['id'])) go(URL.'/?id='.$user_id);

if (empty($user_id) && empty($_GET['id']))
{

	if (empty($_GET['act']) && $device == 'Computer') go(URL.'/login.php');

	$title = 'LiveBook.com.ua - '.lang('социальная сеть Украины!','соціальна мережа України!');

echo '<!DOCTYPE html><html lang="ru">
	<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=1.0,user-scalable=1">
	<meta name="keywords" content="'.lang('украинский,украинская,социальная,социальный,сеть','український,українська,соціальна,соціальний,мережа').'" />
	<meta name="description" content="LiveBook.com.ua - '.lang('социальная сеть Украины','соціальна мережа України').'" />
	<link rel="shortcut icon" href="'.URL.'/design/img/favicon.ico" />
	<link rel="stylesheet" href="'.URL.'/design/auth_mobile.css" type="text/css"/>
	<link rel="stylesheet" href="'.URL.'/design/style2.css" type="text/css"/>
	<title>'.$title.'</title>
	</head>
	';
	if ($device == 'Computer') echo '<div class="body for_pc"></div>';
echo '<div class="head"></div>
	<div class="content"><div class="wrap">
	<div style="position: fixed; top: 2px; z-index: 1000;"><img style="height:40px; margin-top: -2px;" src="'.URL.'/design/img/lb.jpg"/></div>
	<div class="title">'.$title.'</div>
	<div class="block">'.lang('Этот проект являет собой социальную сеть. Мы хотим создать уникальную украинскую социальную сеть, в которой будет все самое наилучшее из всех существующих аналогов. Присоединяйтесь!','Цей проект являє собою соціальну мережу. Ми хочемо створити свою унікальну українську соціальну мережу, яка вбере в себе тільки найкраще із усіх існуючих аналогів. Приєднуйтесь!').'</div>
	<form action="'.URL.'/?act=auth" method="post">
	<div class="block">
	E-mail:<br/>
	<input class="input" type="text" name="auth_mail"/>
	</div><div class="block">
	Пароль:<br/>
	<input class="input" type="password" name="auth_pass"/>
	</div><div class="block">
	<input class="button" type="submit" value="'.lang('Войти','Увійти').'"/>
	<p><center><a href="'.URL.'/restore.php" onclick="Page.Go(this.href); return false">'.lang('Забыли пароль?','Забули пароль?').'</a></center></p>
	</div>
	</form>
	<div class="block">
	<a class="button_a" href="'.URL.'/reg.php">'.lang('Зарегистрироваться','Зареєструватися').'</a>
	</div>
	</div>
	</div>
	<div class="foot">
	<div class="panel_foot"><a href="'.URL.'" onclick="Page.Go(this.href); return false">'.lang('Главная','Головна').'</a><a href="'.URL.'/about.php" onclick="Page.Go(this.href); return false">'.lang('О сайте','Про сайт').'</a><a href="'.URL.'/about.php?act=rules" onclick="Page.Go(this.href); return false">Правила</a></div>
	'.lang('Язык','Мова').': <a href="'.URL.'/lang.php?l=ua">UA</a> | <a href="'.URL.'/lang.php?l=ru">RU</a>
	<br/>
	LiveBook.com.ua &copy; 2015-2016</div>
	</body></html>';


}
else if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_user = mysql_fetch_array($result);
		else go(URL);
				
	$title = $arr_user['name'].' '.$arr_user['surname'];
	require_once 'incfiles/head.php';
	
	echo user_access_page($arr_user);

	echo '<div class="title">';
	if ($arr_user['access_best'] == 0)echo'<img src="'.URL.'/design/img/vip.png"/> ';
	if ($arr_user['online'] == 1) echo '<div class="right"><div class="online">Online</div></div>';
	else echo '<div class="for_pc right">'.user_visit($arr_user['sex'],$arr_user['visit']).'</div>';
	if ($arr_user['access_best'] == 0)echo '<b><font color="#34bfad">'.$arr_user['name'].' '.$arr_user['surname'].'</font></b>';
	if ($arr_user['access_best'] == 1)echo '<b>'.$arr_user['name'].' '.$arr_user['surname'].'</b>';
	
	if ($arr_user['level'] == 1) echo'<b> [<font color="red">'.lang('Администратор','Адміністратор').'</font>]</b></div>';echo'</div>';
	echo '<div class="block_left">';
	if (empty($arr_user['avatar'])) echo '<img src="'.URL.'/design/img/noavatar.png"/>'; else echo '<a href="'.URL.'/avatars/preview.php?fname='.$arr_user['avatar'].'" onclick="Page.Go(this.href); return false"><img width="200" src="'.URL.'/files/avatars/'.$id.'/preview/'.$arr_user['avatar'].'"/></a>';
	echo '<center>';
	if (!empty($user_id) && $user_id != $id) echo '<a class="button" href="'.URL.'/mail/new.php?id='.$arr_user['id'].'" onclick="Page.Go(this.href); return false">'.lang('Написать сообщение','Написати повідомлення').'</a>';
	if (!empty($user_id) && $user_id != $id && mysql_result(mysql_query("SELECT COUNT(`id`) FROM `friends` WHERE `user_id` = '".$user_id."' AND `friend_id` = '".$id."' LIMIT 1"),0) == false && mysql_result(mysql_query("SELECT COUNT(`id`) FROM `notifications` WHERE `from_id` = '".$user_id."' AND `for_id` = '".$id."' AND `mod` = 'friends' AND `type` = 'new_friend' LIMIT 1"),0) == false) echo '<div class="for_pc"><a class="button" href="'.URL.'/friends/new.php?new='.$id.'" onclick="Window.Open(this.href); return false">'.lang('Добавить в Друзья','Додати в Друзі').'</a></div><div class="for_mobile"><a class="button" href="'.URL.'/friends/new.php?new='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Добавить в Друзья','Додати в Друзі').'</a></div>';
	else if (!empty($user_id) && $user_id != $id && mysql_result(mysql_query("SELECT COUNT(`id`) FROM `friends` WHERE `user_id` = '".$user_id."' AND `friend_id` = '".$id."' LIMIT 1"),0) == true) echo '<div class="for_pc"><a class="button" id="bg_orange" href="'.URL.'/friends/del.php?del='.$id.'" onclick="Window.Open(this.href); return false">'.lang('Удалить из Друзей','Видалити з Друзів').'</a></div><div class="for_mobile"><a class="button" id="bg_orange" href="'.URL.'/friends/del.php?del='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Удалить из Друзей','Видалити з Друзів').'</a></div>';
	if (!empty($user_id) && $user_id == $id)echo '<a class="button" href="'.URL.'/avatars/?id='.$user_id.'" onclick="Page.Go(this.href); return false">'.lang('Изменить аватар','Змінити аватар').'</a>';
	if (!empty($user_id) && $user_id != $id && $user['level'] > 0) echo '<div class="for_pc"><a class="button" id="bg_red" href="'.URL.'/adm/user.php?id='.$id.'" onclick="Window.Open(this.href); return false">'.lang('Модерировать страницу','Модерувати сторінку').'</a></div><div class="for_mobile"><a class="button" id="bg_red" href="'.URL.'/adm/user.php?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Модерировать страницу','Модерувати сторінку').'</a></div>';
	echo '</center></div>

	<div class="block_right">';
	if (!empty($user_id) && $user_id == $id) echo '<div class="status"><div class="for_pc"><a href="'.URL.'/user/status.php" onclick="Window.Open(this.href); return false">'.(!empty($user['status'])?smiles($user['status']):lang('изменить статус','змінити статус')).'</a></div><div class="for_mobile"><a href="'.URL.'/user/status.php" onclick="Page.Go(this.href); return false">'.(!empty($user['status'])?smiles($user['status']):lang('изменить статус','змінити статус')).'</a></div></div>'; else echo '<div class="status">'.smiles($arr_user['status']).'</div>';
	echo '<div id="title">'.lang('Информация','Інформація');
	if ($user_id == $arr_user['id']) echo '<div class="right"><a href="'.URL.'/user/settings.php" onclick="Page.Go(this.href); return false">ред.</a></div>';
	echo '</div><ul>';


	
	
	
if (!empty($arr_user['city']))
{
	echo '<li>'.lang('Родной город','Рідне місто').':</li> '.$arr_user['city'].'<br/>';
}
if (!empty($arr_user['day']))
{
	echo '<li>'.lang('День рождения','День народження').':</li> '.$arr_user['day'].' '.hb($arr_user['month']);
	if ($arr_user['hide_year'] == 0) echo ' '.$arr_user['year'].'<br/><li>'.lang('Возраст','Вік').':</li> '.age($arr_user['day'],$arr_user['month'],$arr_user['year']).'<br/>'; else echo '<br/>';
}
	if (!empty($arr_user['family'])) echo '<li>'.lang('Семейное положение','Сімейний стан').':</li> '.sp($arr_user['family'],$arr_user['sex']).'<br/>';
	if (!empty($arr_user['tel'])) echo '<li>Моб.телефон:</li> '.$arr_user['tel'].'<br/>';
	if (!empty($arr_user['icq'])) echo '<li>ICQ:</li> '.$arr_user['icq'].'<br/>';
	if (!empty($arr_user['email'])) echo '<li>E-mail:</li> '.$arr_user['email'].'<br/>';
	if (!empty($arr_user['skype'])) echo '<li>Skype:</li> '.$arr_user['skype'].'<br/>';
	
	echo '</ul>
	<div class="for_pc"><a style="display:block;padding:5px;text-align:center;" href="'.URL.'/user/info.php?id='.$arr_user['id'].'" onclick="Window.Open(this.href); return false">'.lang('Показать полностью','Показати повністю').' &#187;</a></div>
	<div class="for_mobile"><a style="display:block;padding:5px;text-align:center;" href="'.URL.'/user/info.php?id='.$arr_user['id'].'" onclick="Page.Go(this.href); return false">'.lang('Показать полностью','Показати повністю').' &#187;</a></div>

	<a href="'.URL.'/friends/?id='.$id.'" onclick="Page.Go(this.href); return false"><li><b>'.$arr_user['count_friends'].'</b><img class="ico" src="'.URL.'/design/img/users.png"/>'.lang('Друзья','Друзі').' </li></a>
	<a href="'.URL.'/photos/?id='.$id.'" onclick="Page.Go(this.href); return false"><li><b>'.($arr_user['count_photos']+$arr_user['count_avatars']).'</b><img class="ico" src="'.URL.'/design/img/photos.png"/>'.lang('Фотографии','Фотографії').'</li></a>
	<a href="'.URL.'/audio/?id='.$arr_user['id'].'" onclick="Page.Go(this.href); return false"><li><b>'.$arr_user['count_audio'].'</b><img class="ico" src="'.URL.'/design/img/music.png"/>'.lang('Аудиозаписи','Аудіозаписи').'</li></a>
	<a href="'.URL.'/groups/my.php?id='.$arr_user['id'].'" onclick="Page.Go(this.href); return false"><li><b>'.$arr_user['count_groups'].'</b><img class="ico" src="'.URL.'/design/img/users.png"/>'.lang('Мои Сообщества','Мої Спільноти').'</li></a>
	<a href="'.URL.'/ask/?id='.$arr_user['id'].'" onclick="Page.Go(this.href); return false"><li><b>'.$arr_user['count_ask'].'</b><img class="ico" src="'.URL.'/design/img/ask.png"/>'.lang('Спроси меня','Запитай мене').'</li></a>
	</div>';

	
	
	if (!empty($user_id))
	{
		require_once 'wall/handler/del_post.php';
		require_once 'wall/handler/wall.php';
		
	?>
	<script type="text/javascript">
	$(function(){
			$('#form').on('submit', function(e){
 		    e.preventDefault();
		    var $that = $(this),
		        formData = new FormData($that.get(0));
		    $.ajax({
		      url: $that.attr('action'),
   		     type: $that.attr('method'),
		      contentType: false,
		      processData: false,
		      data: formData,
		      success: function(response){
 		       if(response){
 					$('#content_wall').load($that.attr('action')+ '#content_wall .wall');
					$('#textarea').val('');
			        $("#cache_photos").html('');
			        $("#cache_audio").html('');
		      }
		    }
		    });
		  });
		});
		
		$('input:file').remove();
		$(document).ready(function() {
			new AjaxUpload('upload', {
        action: "/wall/upload.php?from=<?echo $id;?>",
        name: "file",
		data: {ajax: "yes"},
        onSubmit: function(file, ext) {
            if(! (ext && /^(jpg|gif|png|jpeg)$/.test(ext))) {
                return false;
            }
 			$('#cache_photos').append('<img id="preview_loading" src="/design/img/preview_loading.gif" style="width:48px;height:48px;"/>');
        },
      onComplete: function(file, res) {
	  $('#preview_loading').remove();
            if(res)
                $("#cache_photos").append(res);
				}
			});
		});
	</script>
	<?

		if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `wall_cache` WHERE `user_id` = '".$user_id."' LIMIT 1"),0) == true) $arr_wall_cache = mysql_fetch_array(mysql_query("SELECT * FROM `wall_cache` WHERE `user_id` = '".$user_id."' LIMIT 1")); else $arr_wall_cache = false;
		echo '<div class="block2">
		<form id="form" action="'.URL.'/?id='.$id.'" method="post">
		<textarea id="textarea" class="input" name="wall_post" rows="4"></textarea>
		<p><div id="cache_photos">';
		if ($arr_wall_cache == true && !empty($arr_wall_cache['photos']))
		{
			$q = explode("||", substr($arr_wall_cache['photos'], 1, -1));
			$count = count($q);
			for ($i = 0; $i < $count; $i++)
			{
				echo '<a id="'.($i+1).'" class="del_cache" href="'.URL.'/wall/upload.php?del_photo='.$q[$i].'" onclick="FormContent.DelCache(this.id,this.href); return false"><img class="preview_icons" src="'.URL.'/files/wall/'.$user_id.'/photos/icons/'.$q[$i].'"/></a>';
			}
		}
		echo '</div></p><div id="cache_audio">';
		if ($arr_wall_cache == true && !empty($arr_wall_cache['audio']))
		{
			$q = explode("||", substr($arr_wall_cache['audio'], 1, -1));
			$count = count($q);
			for ($i = 0; $i < $count; $i++)
			{
				echo '<div id="'.($i+1).'"><p>';
				echo track($q[$i]);
				echo ' <a id="'.($i+1).'" href="'.URL.'/wall/upload.php?del_audio='.$q[$i].'" onclick="FormContent.DelCache(this.id,this.href); return false"> <img src="'.URL.'/design/img/closed.png"/></a>
				</p></div>';
			}
		}	
		echo '</div><input type="hidden" name="form_wall" value="1"/>
		<input class="button2" type="submit" value="'.lang('Написать','Написати').'">
		<div class="button3 for_pc" id="upload" style="float: right; cursor: pointer;"><img src="'.URL.'/design/img/photo.png"/></div>
		<a class="button3" href="'.URL.'/ajax/smiles.php" onclick="FormContent.Smiles(this.href); return false"><img src="'.URL.'/design/img/smile.png"/></a>
		<a class="button3" href="'.URL.'/wall/upload.php?from='.$id.'" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/scrp.png"/></a>
		';
		require_once 'ajax/include_stiker.php';
		echo'
		</form>
		</div><div id="form_content"></div>';
	}
	require_once 'wall/handler/index.php'; // Стіна
	
require_once 'incfiles/foot.php';
}
else go(URL);

?>